#include <cstdio>
#include <cmath>

using namespace std;

int main() {
	int p, q, r;
	long l, n, u, br = 0;
	scanf("%d%d%d%li%li", &p, &q, &r, &l, &u);
	for (n = l; n <= u; n++) {
		if (ceil(n / (float)p) + ceil(n / (float)q) + ceil(n / (float)r) <= n)
			br++;
	}
	printf("%li", br);
	return 0;
}